mia-3dcost-translatedgrad
Prev | Registration, Comparison, and Transformation of 3D images | Next

### mia-3dcost-translatedgrad

#### Sysnopis:

`mia-3dcost-translatedgrad` {-i `io`} {-r `io`} {-o `io`} [ `options` ...]

#### Description:

Evaluate the cost gradient between two images and evaluate the transformation related gradient for it based on the given transformation model.

#### Options:

-i, --in-file=(input, required); io

  input image . For supported file types see Plugin type: 3dimage/io

-r, --ref-file=(input, required); io

  reference image . For supported file types see Plugin type: 3dimage/io

-o, --out-file=(output, required); io

  output vector field . For supported file types see Plugin type: 3dtransform/io

-g, --gradimg-file=(output); io

  norm image of the spline transformed gradient. For supported file types see Plugin type: 3dimage/io

-C, --cost-gradimg-file=(output); io

  norm image of the cost gradient. For supported file types see Plugin type: 3dimage/io

-f, --transForm=spline:rate=5; factory

  Transformation the gradient relates to. For supported plug-ins see Plugin type: 3dimage/transform

-c, --cost=ssd; factory

  cost function to use. For supported plug-ins see Plugin type: 3dimage/cost

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

Evaluate the SSD cost between src.v and ref.v and store the gradient gradient corresponding to a spline transformation in grad.v3dt.

    mia-3dcost-translatedgrad -i src.v -o grad.v3dt -f spline:rate=8 -c ssd

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-3dcost | Home | mia-3ddeform